
:root{
  --gap: var(--border-width);
  --side-menu: 12.5rem;
}

*{
  text-transform: lowercase;
}

/* GRID LAYOUT
  ========================================================================== */

body.home{
  padding: 0;
  margin-top: var(--side-menu);
  margin-left: var(--side-menu);
  min-height: 100vh;
}

body.home nav{
  position: fixed;
  top: var(--side-menu);
  left: 0;
  padding: 1rem calc(0.5 * var(--lh));
}

.home-space{
  background-color: var(--clr-back);

  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(24rem, 1fr));
  grid-template-rows: auto;
  grid-auto-flow: dense row;
  gap: var(--border-width);

  gap: var(--gap);

  border: var(--border);
  border-top: 0;
  border-bottom: 0;
  margin: 0 calc(var(--border-width) * -1);

  position: relative;
}
.home-space::after{
  /* final dot */
  display: block;
  content: 'powered by the energy of change';
  color: var(--clr-fade);
  grid-column: 1 / -1;
  padding: var(--lh) 1em;
  height: auto;
  text-align: right;
  border-top: var(--border);
  margin-top: calc(-1 * var(--border-width));
}

@media (max-width: 60rem) {
  .home-space{
    display: block !important;
  }
}
@media (max-width: 54rem) {
  body.home {
    margin-top: 0;
    margin-left: 0;
  }
  body.home nav{
    display: none;
  }
  .home-space{
    border: 0;
  }
}

/* SECTIONS
  ========================================================================== */

.home-section{
  height: min(80vh, 36rem);

  display: flex;
  flex-direction: column;

  border: var(--border);
  margin: calc(var(--border-width) * -1);

  scroll-margin-top: calc(var(--lh) * 2);
}

.home-section:target h2 > a{
  /* border-color: var(--clr-link-local); */
  background-color: var(--clr-dark-back);
  color: black;
}

/* .home-section--double{
  grid-row: auto / span 2;
  height: 100%;
  max-height: 100%;
} */

/* sections titles */
.home-section > h2{
  text-transform: lowercase;
  margin-bottom: 0;
}
.home-section > h2 > a{
  display: block;
  height: var(--ui-height);
  border: var(--border);
  margin: calc(-1 * var(--border-width));
  box-sizing: border-box;
  position: relative;
  z-index: 1001;
  display: flex;
  align-items: center;
}

/* sections content */
.section__content{
  flex-grow: 1;
  background-color: var(--clr-back);
  overflow-y: auto;
  overflow-x: hidden;
  position: relative;
}

@media (max-width: 60rem) {
  .section__content {
    overflow: initial;
  }
  .home-section{
    height: auto;
  }
}


/* PROJECTS LIST
  ========================================================================== */

ul.articles-list{
  list-style: none;
  padding-left: 0;
  margin-top: 0;
}
ul.articles-list > li{
  background: var(--clr-dark-back);
  border-top: var(--border);
  border-top-style: dotted;
  position: relative;
}
ul.articles-list > li:last-of-type{
  border-bottom: var(--border);
  border-bottom-style: dotted;
}
ul.articles-list h3{
  margin: 0;
  font-weight: normal;
}
/* ul.articles-list img{
  border: var(--border);
} */

/* ul.articles-list .short{
  margin: calc(var(--lh) * 0.5) 0;
} */
.away{
  text-decoration: line-through;
}


/* header: (thumbnail), title, date */
ul.articles-list header{
  display: grid;

  /* big title, small date */
  grid-template-columns: 1fr auto;

  /* gap: 0 calc(var(--lh) * 1); */
  margin-bottom: calc(var(--lh) * 0.5);
}
ul.articles-list header .date{
  white-space: nowrap;
}


ul.articles-list header.has-thumbnail{
  grid-template-columns: 50% 1fr;
  grid-template-rows: auto 1fr;
  gap: calc(var(--lh) * 0.5) 1em;
}
@media screen and (max-width: 36rem){
  ul.articles-list header .date{
    text-align: right;
  }
}

/* SPECIAL LIST PAGE
  ========================================================================== */


body.list .articles-list > li::after{
  content: '';
  display: block;
  clear: both;
}

body.list header{
  background-color: var(--clr-dark-back);
  border-bottom: var(--border);
}
body.list .button-link{
  border-bottom: none;
  border-right: var(--border);
}
body.list ul.articles-list > li:first-child{
  border-top: none;
}

body.list .articles-list > li{
  display: grid;
  grid-template-columns: 8rem 8rem calc(var(--lh) * 10) 1fr auto;
  gap: 0 var(--lh);
  align-items: flex-start;
}
body.list img {
  grid-column: auto;
  grid-row: auto;
  margin: 0;
}

body.list .item-content{
  grid-column: 4;
}
body.list .date{
  grid-column: 5;
}

body.list header{
  display: grid;
  grid-template-columns: 1fr 1fr;
}

body.list header,
body.list .short,
body.list .tags{
  margin: 0;
}
body.list .short{
  margin-top: calc(var(--lh) * 0.5);
}
body.list .date{
  text-align: right;
}

body.list header > * {
  display: block;
  height: var(--ui-height);
  display: flex;
  align-items: center;
  justify-content: flex-start;
  text-decoration: none;
}

/* IMAGES
  ========================================================================== */

img {
  display: block;
  max-width: min(calc(var(--lh) * 10), 100%);
  max-height: calc(var(--lh) * 12);
  margin: 0 auto;
}

img.thumbnail{
  grid-row: 1 / span 2;
}

@media (max-width: 60rem) {
  img.thumbnail{
    /* bigger thumbnail on 1 col display, along with bigger spacing */
    max-width: calc(var(--lh) * 10);
    max-height: calc(var(--lh) * 12);
  }
}
@media (max-width: 36rem) {

  img.thumbnail{
    grid-row: 2 / span 1;
    grid-column: 1 / span 2;
    margin: calc(var(--lh) * 0.5) auto;
    max-width: 66vw;
    max-height: 100%;
  }
}

/* img in description */
.section__description blockquote{
  margin-left: 0 !important;
  margin-right: 0 !important;
}
.section__description > *:first-child{
  margin-top: 0;
}
.section__description > *:last-child{
  margin-bottom: 0;
}
@media (max-width: 36rem) {
  .section__description img{
    margin-left: auto;
    float: none;
  }
}

/* OVERFLOW INDICATOR
  ========================================================================== */

.home-section{
  position: relative;
  overflow: hidden;

  --overflow-h: calc(var(--lh) * 1.5);
}
.home-section::after{
  /* content: ''; */
  display: block;
  box-sizing: border-box;

  /* 'go deeper' indication */
  height: var(--overflow-h);
  width: var(--overflow-h);
  background-color: var(--clr-link-local);
  border-radius: 50%;

  /* always there at the bottom of container */
  position: absolute;
  left: 50%;
  transform: translate(-50%,0);
  bottom: calc(var(--overflow-h) * -0.5);
}

.section__content{
  padding-bottom: 0;
  display: flex;
  flex-direction: column;
}
.section__content::after {
	/* content: ''; */
	display: block;

  /* white thing that hide the 'go deeper' indication */
  min-height: max(calc(var(--overflow-h) * 2), var(--lh));
  background: linear-gradient(rgba(0,0,0,0), var(--clr-back) var(--overflow-h));

  /* make it take all the rest of the space */
  flex-grow: 1;

	position: relative;
	z-index: 999;
}

.section__content{
  padding-bottom: calc(var(--lh) * 2);
}

@media (max-width: 60rem) {
  /* remove overflow thing */
  .home-section::after,
  .home-section .section__content::after{
    content: none;
  }

  .home-section.has-list .section__content{
    padding-bottom: 0;
  }
  .home-section.has-list .articles-list li:last-of-type{
    border-bottom: none;
  }
  .section__content{
    padding-bottom: 0;
  }
}

/* LOGO
  ========================================================================== */

/* logo adjust */
#logo{
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: var(--side-menu);
  border: none;
  border-bottom: var(--border);
}
#logo::after,
#logo .section__content::after{
  content: none;
}
#logo .section__description{
  padding: 0;
  height: var(--side-menu);
}
#logo .logo{
  display: grid;
  grid-template-columns: var(--side-menu) 1fr;
  gap: var(--lh);
  justify-content: center;
  align-items: center;
  height: 100%;
}
#logo .logo::after{
  content: '';
  position: absolute;
  left: var(--side-menu);
  top: 0;
  bottom: 0;
  border-right: var(--border);
}
#logo .section__content{
  padding-top: 0;
  padding-bottom: 0;
}
#logo h2{
  display: none;
}
@media (max-width: 54rem) {
  #logo{
    position: static;
    width: auto;
  }
  #logo .logo{
    display: flex;
  }
  #logo .logo::after{
    content: none;
  }
  .logo-css{
    display: none !important;
  }
}

/* specific
  ========================================================================== */

#friends ul{
  display: flex;
  flex-wrap: wrap;
  gap: calc(var(--lh) * 0.5) calc(var(--lh) * 1.5);
  justify-content: center;
}

/* fav color adjust */
#my-favorite-color-display {
	background: var(--clr-fav);
	position: absolute;
	inset: 0;
	z-index: 1000;
}
@media (max-width: 60rem) {
  #color{
    height: min(calc(100vw + 2 * var(--lh)), 66vh);
  }
}

iframe{
  position: absolute;
  inset: 0;
  border: none;
  width: 100%;
  height: 100%;
}
@media (max-width: 60rem) {
  #sticker .section__content,
  #asmr .section__content{
    height: 420px;
  }
}
@media (max-width: 36rem) {
  #sticker .section__content,
  #asmr .section__content{
    height: 100vw;
  }
}

#def img{
  max-height: 25vh;
  transform: rotate(-5deg);
  margin: 0 auto;
  float: none;
  margin-top: calc(2 * var(--ui-height));
}

#astrology .section__description{
  height: 100%;
  display: flex;
  justify-content: center;
  align-content: center;
  align-items: center;
}